PrefabFiles = {
	"rash",
	"rash_none",
	"slasher",
	"devastator",
	"rasharmor",
	"glutto",
	"glutto_soul",	
}

Assets = {
	Asset("SOUNDPACKAGE", "sound/rash.fev"),
	Asset("SOUND", "sound/rash.fsb"),
	
    Asset( "IMAGE", "images/saveslot_portraits/rash.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/rash.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/rash.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/rash.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/rash_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/rash_silho.xml" ),

    Asset( "IMAGE", "bigportraits/rash.tex" ),
    Asset( "ATLAS", "bigportraits/rash.xml" ),
	
	Asset( "IMAGE", "images/map_icons/rash.tex" ),
	Asset( "ATLAS", "images/map_icons/rash.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_rash.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_rash.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_rash.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_rash.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_rash.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_rash.xml" ),
	
	Asset( "IMAGE", "images/names_rash.tex" ),
    Asset( "ATLAS", "images/names_rash.xml" ),
	
	Asset( "ANIM", "anim/glutto.zip" ),
	Asset( "ANIM", "anim/glutto_soul.zip" ),
	
    Asset( "IMAGE", "bigportraits/rash_none.tex" ),
    Asset( "ATLAS", "bigportraits/rash_none.xml" ),	
}

RemapSoundEvent( "dontstarve/characters/rash/death_voice", "rash/characters/rash/death_voice" )
RemapSoundEvent( "dontstarve/characters/rash/hurt", "rash/characters/rash/hurt" )
RemapSoundEvent( "dontstarve/characters/rash/talk_LP", "rash/characters/rash/talk_LP" )
RemapSoundEvent( "dontstarve/characters/rash/emote", "rash/characters/rash/emote" )
RemapSoundEvent( "dontstarve/characters/rash/ghost_LP", "rash/characters/rash/ghost_LP" )
RemapSoundEvent( "dontstarve/characters/rash/pose", "rash/characters/rash/pose" )
RemapSoundEvent( "dontstarve/characters/rash/yawn", "rash/characters/rash/yawn" )
	
AddMinimapAtlas("images/map_icons/rash.xml")

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

local Ingredient = GLOBAL.Ingredient
local Recipe = GLOBAL.Recipe

local RECIPETABS = GLOBAL.RECIPETABS
local TECH = GLOBAL.TECH

AddRecipe("slasher",
	             {
	              Ingredient("nightmarefuel", 10),
	              Ingredient("flint", 10),
	              Ingredient("livinglog", 5)
	             },
RECIPETABS.WAR, TECH.SCIENCE_ONE, nil, nil, nil, nil, "rash", "images/inventoryimages/slasher.xml")
GLOBAL.STRINGS.NAMES.SLASHER = "SLASHER"
GLOBAL.STRINGS.RECIPE_DESC.SLASHER = "demon's sword of fury"
			
AddRecipe("devastator",
	             {
	              Ingredient("beardhair", 10),
	              Ingredient("slasher", 1, "images/inventoryimages/slasher.xml"),
	              Ingredient("nightmarefuel", 20),
	              Ingredient("livinglog", 20)
	             },
RECIPETABS.WAR, TECH.SCIENCE_ONE, nil, nil, nil, nil, "rash", "images/inventoryimages/devastator.xml")
GLOBAL.STRINGS.NAMES.DEVASTATOR = "DEVASTATOR"
GLOBAL.STRINGS.RECIPE_DESC.DEVASTATOR = "DEVASTATOR of the worlds"

AddRecipe("rasharmor",
	             {
	              Ingredient("monsterlasagna", 2),
	              Ingredient("nightmarefuel", 10),
	              Ingredient("beardhair", 5),
	              Ingredient("monstermeat", 10)
	             },
RECIPETABS.DRESS, TECH.SCIENCE_TWO, nil, nil, nil, nil, "rash", "images/inventoryimages/rasharmor.xml")
GLOBAL.STRINGS.NAMES.RASHARMOR = "Gnawer"
GLOBAL.STRINGS.RECIPE_DESC.RASHARMOR = "she bites!"

-- The character select screen lines
STRINGS.CHARACTER_TITLES.rash = "The rage demon"
STRINGS.CHARACTER_NAMES.rash = "rash"
STRINGS.CHARACTER_DESCRIPTIONS.rash = "*Strong and stupid\n*Fast and Hungry\n*Have a demon sword"
STRINGS.CHARACTER_QUOTES.rash = "\"Rage\""


-- Custom speech strings
STRINGS.CHARACTERS.RASH = require "speech_rash"

-- The character's name as appears in-game 
STRINGS.NAMES.RASH = "Rash"

-- The default responses of examining the character
STRINGS.CHARACTERS.GENERIC.DESCRIBE.RASH = 
{
	GENERIC = "It's Rash!",
	ATTACKER = "Rash is very violent.",
	MURDERER = "Murderer!",
	REVIVER = "Ready to kill and eat again.",
	GHOST = "He needs a body to kill someone..",
}

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("rash", "MALE")

GLOBAL.STRINGS.NAMES.GLUTTO = "Glutto"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.GLUTTO = "This guy is huge!"
GLOBAL.STRINGS.NAMES.GLUTTO_SOUL = "Glutto soul"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.GLUTTO_SOUL = "Glutto's soul."

GLOBAL.TUNING.OP = GetModConfigData("opness")
GLOBAL.TUNING.RASH_HEALTH = GetModConfigData("rash_health") or 150
GLOBAL.TUNING.PLAYER_SOUND = GetModConfigData("player_sound") or true
GLOBAL.TUNING.RASH_SPEED = GetModConfigData("rash_speed") or 1.7
GLOBAL.TUNING.RASH_HUNGER = GetModConfigData("rash_hunger") or 3.7
GLOBAL.TUNING.RASH_IMMORTAL = GetModConfigData("rash_immortal") or false
--------------------------------------------------
--Adds the characters.
