local assets =
{
    Asset("ANIM", "anim/rasharmor.zip"),
	Asset("ATLAS", "images/inventoryimages/rasharmor.xml"),
	Asset("IMAGE", "images/inventoryimages/rasharmor.tex"),
}

local prefabs = 
{
	"rash"
}

local function OnBlocked(owner) 
    owner.SoundEmitter:PlaySound("dontstarve/wilson/hit_armour")
end

local function onequip(inst, owner) 
    owner.AnimState:OverrideSymbol("swap_body", "rasharmor", "swap_body")
	
    inst:ListenForEvent("blocked", OnBlocked, owner)
end

local function onunequip(inst, owner) 
    owner.AnimState:ClearOverrideSymbol("swap_body")
	owner.AnimState:Show("SKIRT")
	if owner.dontshowtorsosymbols == nil then
		owner.AnimState:ShowSymbol("torso")
		owner.AnimState:ShowSymbol("torso_pelvis")
	end
    inst:RemoveEventCallback("blocked", OnBlocked, owner)
end

local function fn()

    local inst = CreateEntity()
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddNetwork()
	
    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("rasharmor")
    inst.AnimState:SetBuild("rasharmor")
    inst.AnimState:PlayAnimation("idle")
	
    inst:AddTag("metal")

    inst.foleysound = "dontstarve/movement/foley/metalarmour"
	
    inst.entity:SetPristine()

    if not TheWorld.ismastersim then return inst end
	
	--inst.Transform:SetScale(1.15, 1.15, 1.15)

    inst:AddComponent("inspectable")
	inst:AddComponent("tradable")

    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/rasharmor.xml"
	inst.components.inventoryitem.imagename = "rasharmor"

	inst:DoPeriodicTask(15, function() ----------ATE EFFECT----------
        if inst.components.inventoryitem.owner ~=nil and inst.components.inventoryitem.owner.components.health ~= nil then
            inst.components.inventoryitem.owner.components.health:DoDelta(-5)
        end
    end)

    inst:AddComponent("armor")
    inst.components.armor:InitCondition(1165, .8)
	
    inst:AddComponent("equippable")
    inst.components.equippable.equipslot = EQUIPSLOTS.BODY
	inst.components.equippable.walkspeedmult = TUNING.ARMORMARBLE_SLOW

    inst.components.equippable:SetOnEquip(onequip)
    inst.components.equippable:SetOnUnequip(onunequip)
	
    MakeHauntableLaunch(inst)

    return inst
end

return Prefab("common/inventory/rasharmor", fn, assets, prefabs)
