local assets=
{ 
    Asset("ANIM", "anim/slasher.zip"),
    Asset("ANIM", "anim/swap_slasher.zip"), 

    Asset("ATLAS", "images/inventoryimages/slasher.xml"),
    Asset("IMAGE", "images/inventoryimages/slasher.tex"),
}

local prefabs = 
{
	"rash"
}

local function fn(colour)

    local function OnEquip(inst, owner) 
        --owner.AnimState:OverrideSymbol("swap_object", "swap_wands", "purplestaff")
        owner.AnimState:OverrideSymbol("swap_object", "swap_slasher", "slasher")
        owner.AnimState:Show("ARM_carry") 
        owner.AnimState:Hide("ARM_normal") 
    end

    local function OnUnequip(inst, owner) 
        owner.AnimState:Hide("ARM_carry") 
        owner.AnimState:Show("ARM_normal") 
    end
	
    local inst = CreateEntity()
	inst.entity:AddNetwork()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
    inst.AnimState:SetBank("slasher")
    inst.AnimState:SetBuild("slasher")
    inst.AnimState:PlayAnimation("idle")
	
	if not TheWorld.ismastersim then return inst end
	
    inst.entity:SetPristine()
	
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "slasher"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/slasher.xml"
    
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( OnEquip )
    inst.components.equippable:SetOnUnequip( OnUnequip )
	
	inst:AddComponent("tool")
    inst.components.tool:SetAction(ACTIONS.CHOP)
	inst.components.tool:SetAction(ACTIONS.MINE)
	
	inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(0.1)
	inst.components.weapon:SetRange(0.1)
	
	local function onattack(inst, owner, target)
    if owner.components.health ~= nil and owner.components.health:GetPercent() < 1 and not target:HasTag("wall") then
    owner.components.health:DoDelta(0.1, false)
    end
    end
    inst.components.weapon.onattack = onattack

    inst:AddComponent("inspectable")
	
	if TUNING.OP == 1 then --op
    	inst.components.weapon:SetDamage(78)
		inst.components.weapon:SetRange(5)
	
		local function onattack(inst, owner, target)
    	if owner.components.health ~= nil and owner.components.health:GetPercent() < 1 and not target:HasTag("wall") then
    	owner.components.health:DoDelta(78, false)
    	end
    	end
    	inst.components.weapon.onattack = onattack
	elseif TUNING.OP == 2 then -- not op
  		inst.components.weapon:SetDamage(17)
		inst.components.weapon:SetRange(3)
	
		local function onattack(inst, owner, target)
   	 	if owner.components.health ~= nil and owner.components.health:GetPercent() < 1 and not target:HasTag("wall") then
   	 	owner.components.health:DoDelta(7, false)
   		end
    	end
    	inst.components.weapon.onattack = onattack
	end

    return inst
end

return  Prefab("common/inventory/slasher", fn, assets, prefabs)